Get Estimated Creation Times
GET
/clusters/estimated-times
const url = 'https://api.mengi.cloud/clusters/estimated-times';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.mengi.cloud/clusters/estimated-timesGet estimated cluster creation times based on historical data.
For shared tier, also returns whether a host cluster is available which significantly affects creation time.
Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” provider
Provider
string
tier
Tier
string
geographic_region
Geographic Region
string
Responses
Section titled “ Responses ”Successful Response
Media type application/json
Example generated
exampleValidation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}